local WebView = require("jls.util.WebView")
local FileHttpHandler = require("jls.net.http.handler.FileHttpHandler")

local system = require("jls.lang.system")
local File = require("jls.io.File")
local scriptFile = File:new(system.getArguments()[0]):getAbsoluteFile()
local scriptDir = scriptFile:getParentFile()

print(scriptDir)

WebView.open("http://localhost:0/index.html", { resizable = true })
	:next(function(webview)
		local httpServer = webview:getHttpServer()
		-- httpServer:createContext("/(.*)", FileHttpHandler:new("/home/johnny/projects/catalejo-lua/app/ui-app/"))
		httpServer:createContext("/(.*)", FileHttpHandler:new("../app/ui-app/"))
		return webview:getThread():ended()
	end)
	:next(function()
		print("Catalejo Finished")
		print(os.exit(0))
	end)
	:catch(function(err)
		print("Cannot open webview due to " .. tostring(err))
	end)

print("START Webview")
